//
//  PianoInstrumentNode.m
//  PianoInstrument
//
//  Created by Chris Osborn on 7/1/15.
//  Copyright (c) 2015 Google. All rights reserved.
//

#import "PianoInstrumentNode.h"

@implementation PianoInstrumentNode

+ (NSString *)defaultName {
    return @"Piano Instrument";
}

+ (NSString *)processClassName {
    return @"PianoInstrumentPatch";
}

- (instancetype)init {
    if ((self = [super init]) != nil) {
        // Inputs
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"C"
                                                        uniqueKey:@"Form.noteCInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"C#"
                                                        uniqueKey:@"Form.noteCSharpInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"D"
                                                        uniqueKey:@"Form.noteDInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"D#"
                                                        uniqueKey:@"Form.noteDSharpInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"E"
                                                        uniqueKey:@"Form.noteEInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"F"
                                                        uniqueKey:@"Form.noteFInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"F#"
                                                        uniqueKey:@"Form.noteFSharpInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"G"
                                                        uniqueKey:@"Form.noteGInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"G#"
                                                        uniqueKey:@"Form.noteGSharpInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"A"
                                                        uniqueKey:@"Form.noteAInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"A#"
                                                        uniqueKey:@"Form.noteASharpInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"B"
                                                        uniqueKey:@"Form.noteBInput"
                                                     defaultValue:[PMRPrimitive primitiveWithBooleanValue:NO]] portGroup:@"Notes"];

    }
    return self;
}

- (void)dealloc {
    
}

@end
