//
//  PianoInstrumentPatch.m
//  PianoInstrument
//
//  Created by Chris Osborn on 7/1/15.
//  Copyright (c) 2015 Google. All rights reserved.
//

#import "PianoInstrumentPatch.h"
#import "PianoInstrument.h"

@implementation PianoInstrumentPatch {
    PianoInstrument *_instrument;
}

- (instancetype)init {
    if ((self = [super init]) != nil) {
        // Create the piano instrument object.
        _instrument = [[PianoInstrument alloc] init];
    }
    return self;
}

- (void)processPatchWithContext:(PMRProcessContext *)context {
    // Process each note input to see if a note was played.
    [self fm_processNoteInput:_noteCInput forNote:60];
    [self fm_processNoteInput:_noteCSharpInput forNote:61];
    [self fm_processNoteInput:_noteDInput forNote:62];
    [self fm_processNoteInput:_noteDSharpInput forNote:63];
    [self fm_processNoteInput:_noteEInput forNote:64];
    [self fm_processNoteInput:_noteFInput forNote:65];
    [self fm_processNoteInput:_noteFSharpInput forNote:66];
    [self fm_processNoteInput:_noteGInput forNote:67];
    [self fm_processNoteInput:_noteGSharpInput forNote:68];
    [self fm_processNoteInput:_noteAInput forNote:69];
    [self fm_processNoteInput:_noteASharpInput forNote:70];
    [self fm_processNoteInput:_noteBInput forNote:71];
}

// Check if a note has been triggered. If it has, play the corresponding note on the instrument.
- (void)fm_processNoteInput:(PMRPrimitiveInputPort *)noteInputPort forNote:(u_int8_t)note {
    if (noteInputPort.booleanValue) {
        [_instrument noteOn:note velocity:127];
    } else {
        [_instrument noteOff:note];
    }
}

@end
